<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : plugin.xml
    Created on : 2011년 2월 22일 (화), 오후 8:08
    Author     : bhs
    Description:
        Purpose of the document follows.
-->

<plugin id="org.datanucleus.kihyun" name="DataNucleus Kihyun plug-ins" provider-name="DataNucleus">
	<extension point="org.datanucleus.query_method_evaluators">
		<query-method-evaluator class="java.lang.String" method="bar"
			evaluator="org.datanucleus.query.evaluator.memory.StringToUpperCaseMethodEvaluator"/>
		<query-method-evaluator class="java.util.Collection" method="isEmpty"
			evaluator="org.datanucleus.query.evaluator.memory.ContainerIsEmptyMethodEvaluator"/>
	</extension>
</plugin>
